GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Functions
trace.c File Reference
`#include "src/core/debug/trace.h"`
`#include <string.h>`
`#include <grpc/grpc.h>`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include "src/core/support/env.h"`

## Data Structures
struct | tracer

## Typedefs
typedef struct tracer | tracer

## Functions
void | grpc_register_tracer (const char *name, int *flag)
void | grpc_tracer_init (const char *env_var)
void | grpc_tracer_shutdown (void)
int | grpc_tracer_set_enabled (const char *name, int enabled)
| Enable or disable a tracer. More...

## Typedef Documentation

typedef struct tracer tracer

## Function Documentation

void grpc_register_tracer | ( | const char * | name,
|  | int * | flag
| ) |  |

void grpc_tracer_init | ( | const char * | env_var | ) |

int grpc_tracer_set_enabled | ( | const char * | name,
|  | int | enabled
| ) |  |

Enable or disable a tracer.

Tracers (usually controlled by the environment variable GRPC_TRACE) allow printf-style debugging on GRPC internals, and are useful for tracking down problems in the field.

Use of this function is not strictly thread-safe, but the thread-safety issues raised by it should not be of concern.

void grpc_tracer_shutdown | ( | void |  | ) |